﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace Dominos
{
    class Program
    {
        static void Main(string[] args)
        {
            ServiceHost host = new ServiceHost(typeof(DominosImpl),
                new Uri("http://localhost:9000/dominos"));

            host.Open();

            Console.WriteLine("press enter to exit");
            Console.ReadLine();

        }
    }

    [ServiceContract]
    interface IPricePizzas
    {
        [OperationContract]
        double PricePizza(string pizzaType);
    }

    class DominosImpl : IPricePizzas
    {
        public double PricePizza(string pizzaType)
        {
            Console.WriteLine("Price request for {0}", pizzaType);
            if (pizzaType == "Meat Feast")
            {
                return 10.99;
            }

            return 8.99;
        }
    }

}
